Subject: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line

From: Drew Adams <[email-masked]>
Date: Tue, 4 Mar 2014 10:45:29 -0800 (PST)

>  > I can reconfirm that this is the case, however strange it may seem.
>  > But this might be because of differences due to info+.el.  What is the
>  > reason that you expect the header line to be lost along with the mode
>  > line?
> 
> Because the header line gets drawn immediately after the mode line.  Are
> you displaying something special in the mode line?  Maybe you can try to
> display the same string in the header line too and see whether it fails
> displaying/updating as well.

Yes, by default I put the breadcrumbs in the mode line.  However, turning
this off (and so restoring the usual mode line for Info) does not change
things: the header line is still visible even when the mode line disappears.
The header line has never disappeared.  (And I do not change the Info header
line.)